Wednesday, January 24, 2007

FON reminds users to use unmodified software

The German FON blog reminds the users to use only official FON software. They quote point 6.7 of the general conditions.

The German version:

Um eine korrekte Funktion der FON Hotspots zu gewährleisten, müssen die Linuse und Bills ausschließlich offizielle Versionen der FON Software einsetzen.
The English version:
In order to guarantee the correct functioning of the FON Hotspots, the Linuses and Bills shall exclusively use the official versions of the FON Software.

It is interesting that the German version says "müssen" (engl. to have to) and the English version says "shall". I am not a lawyer, but it looks strange to me. Anyone (especially lawyers) knows how to interpret such terms please leave a comment.

The following is fully neutral: Please read the comments and answers of Peter of the blog. Very interesting... Sorry, but this is in German. But the non-German readers can try Google translate. (Bear in mind that the quoted part of the condition is also translated from the German version.)

Furthermore the German FON blog is moderated, this means submitted comments need further approval. Stefan offered them information about a security flaw with the firewall rules when using multiple IP subnets. His comment is still not published yet...

12 comments:

ps.simon said...

Hi, I'd say in this context, especially followed by the word "exclusively" it transletes pretty clearly to "müssen".
To bad though :/

Anonymous said...

Aber vllt wollen ja meine keine Funktionsgarantie gewährleisten, dann müssen sie auch nicht die Fon-Firmware einsetzten.

EN:
But, what if someone DOES NOT want to ensure a working Hotspot? Is he then allowed to use any firmware?

Anonymous said...

Well, I also sent two comments already, which are not published.

The last one, was to the entry you quoted. I just reminded them, that they use GPL software, and the "free" ist from not "gratis", but from "freedom".

I added a quote from the preamble of the GPL, stating that...

Well, I think, the don't like this sorts of comments....

Anonymous said...

Regarding the fore mentioned "security flaw", that should be easy to stop by not even modifying the FON.
All is needed to enter the following firewall rule in the main router, and give FON a static IP.

Block 192.168.0.3 from 192.168.1.0/24

Anonymous said...

If the main router does support ist, yes. Mine does not.

Anonymous said...

come on i've been checking every week... why are you still keeping it as a secret? can you email it to me? lyndenz at hotmail dot com
thank you very much

Anonymous said...

I recieve couple days ago Fon Router, i open inside have stick with 0.7.1.1, i try to reset but only 0.7.1.2 dispay, i try 5 times and no chance, i suppose is default flashed with 0.7.1.2 and put wrong stick inside, because the factory reset don't change the firmware.
I really like to know if this "trick" realy work on this firmware version or is just a big "bluf". Personal i don't belive about "code kolofonium" exist. Should be release until now, 0.7.1.2.firmware version was release from long time already.

sohbet odaları said...

very good

mynet sohbet said...

thank you admin

aşk said...

Like is

sence kaya said...



cinsel sohbet
cinsel sohbet odalari
cinsel chat
cinsel chat odalari
pasif sohbet
pasif sohbet odalari
pasif chat
pasif chat odalari
gabile chat odalari
gabile chat
gabile sohbet
sohbet
gabile sohbet odalari
sohbet odalari
chat
chat odalari
mobil chat
mobil sohbet
istanul sohbet
izmir sohbet
ankara sohbet
bursa sohbet

sence kaya said...

Sohbet Chat Sohbet odalari Chat odalari Cinsel Sohbet Gabile Sohbet Pasif Sohbet Sohbet sitesi
Chat sitesi